<div class="renseigneFormInside">
	<div style="clear:both">
		<a class="btn btn-xs btn-default" href="#" onclick="sendData('sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}', '{{url('sysma-object-parameter-value')}}', 'renseigneForm{{V.idsysma_object}}{{V.parameter_id}}', event);">
			<span class="glyphicon glyphicon-remove"></span>
			Annuler</a>
	</div>


	<h2>Renseignement de 
		<strong>{{ V.parameter.parameter|raw }}
		</strong>
	</h2>
	<form method="post" action="#" id="Form{{ V.idsysma_object }}{{ V.parameter_id }}">


		<div class="form-group">

			<label>Valeur :
			</label>

			{% if (V.parameter.dataType == 'booleanType') %}
				<select name="value" class="form-control">
					<option value="1">Oui</option>
					<option value="0">Non</option>
				</select>

			{% elseif V.parameter.dataType == 'textChoiceType' %}
				{% set details =  null %}
				<select name="value" class="form-control">
					{% for choice in V.choicesArray %}
						<option value="{{ choice.choice }}">{{ choice.choice|raw }}

							{% if choice.description != null %}
								{% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
							{% endif %}
						</option>
					{% endfor %}
				</select>


			{% elseif V.parameter.dataType == 'multipleTextChoiceType' %}
				<br>
				{% set details = null %}

				{% for choice in V.choicesArray %}

					<input type="checkbox" value="1" name="choice{{ choice.choice_id }}"/>
					{{ choice.choice }}<br/>
					{% if choice.description != null %}
						{% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
					{% endif %}
				{% endfor %}


			{% elseif V.parameter.dataType == 'longTextType' %}
				<textarea class="form-control" name="value"></textarea>

			{% elseif V.parameter.dataType == 'integerType' %}
				<input type="number" step="1" class="form-control" id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" name="value" value="" onkeyup="checkInteger(this, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>

			{% elseif V.parameter.dataType == 'floatType' %}
				<input type="number" step="any" class="form-control" id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" name="value" value="" onkeyup="checkFloat(this, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>


			{% elseif V.parameter.dataType == 'dayMonthYearDateType' %}
				<input type="date" class="form-control" name="value" value=""/>


			{% elseif V.parameter.dataType == 'monthYearDateType' %}
				<input type="month" class="form-control" name="value" value=""/>


			{% elseif V.parameter.dataType == 'hyperlink' %}
				<input class="form-control" name="value" value="" id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" onkeyup="checkHyperLink(this.value, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>


			{% elseif V.parameter.dataType == 'sysmaObjectLinkType' %}

				<input class="form-control" style="float:right;max-width:50%" onkeyup="sendData('search='+$('#sysmaObjectLinkTypeSearch').val()+'&data_type=sysmaObjectLinkType&data_index={{indexDonnee }}&sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}','{{url('sysma-object-link-type-parameter-value-modification')}}','sysmaObjectLinkTypeSelect',null)" placeholder="Rechercher dans la liste..." id="sysmaObjectLinkTypeSearch"/><br>

				<div id="sysmaObjectLinkTypeSelect">
					<select name="value" class="form-control">
						{% for l in V.linkedObjectsList|default(null) %}
							<option value="{{ l.name~' ['~l.id~']' }}">{{ l.name~' ['~l.id~']'|raw }}
							</option>
						{% endfor %}
					</select>
				</div>


			{% else %}
				<input class="form-control" name="value" value=""/>

			{% endif %}

		</div>


		{% if V.parameter.time_tracking == 1 %}

			<div class="row">
				<div class="form-group">
					<div class="col-md-3">
						<label>Date de début</label>
					</div>
					<div class="col-md-5">
						<input data-toggle="tooltip" data-placement="right" title="Date de début de la validité de cette value ou bien 0 si elle n'est pas définie" class="form-control input-sm" id="start_dateparameterObjet" name="start_date" value="{{ app.session.get('start_date_value')!=null ? app.session.get('start_date_value') : 'now'|date('Y-m-d') }}" size="30" onchange="checkDate('start_dateparameterObjet', 'start_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'end_dateparameterObjet');" required="required" />
					</div>
					<div class="col-md-3">
						<div id="start_dateparameterObjetComment"></div>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
					<div class="col-md-3">
						<label>Date de fin</label>
					</div>
					<div class="col-md-5">
						<input data-toggle="tooltip" data-placement="right" title="Date de fin de validité de cette value, ou bien 0 si la value est encore valable" class="form-control input-sm" id="end_dateparameterObjet" name="end_date" value="{{ app.session.get('end_date_value')!=null ? app.session.get('end_date_value') : 0 }}" size="30" onchange="checkDate('end_dateparameterObjet', 'end_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'start_dateparameterObjet');" required="required"/>
					</div>
					<div class="col-md-3">
						<div id="end_dateparameterObjetComment"></div>
					</div>
				</div>
			</div>
		{% else  %}
			<div style="display:none;">
				<input id="start_dateparameterObjet" name="start_date" value="0" size="30"/>
				<input id="end_dateparameterObjet" name="end_date" value="0" size="30"/>
			</div>
		{% endif %}


		<button class="btn btn-primary" id="buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" {% if V.parameter.dataType != 'multipleTextChoiceType' %} onclick="sendFormAndRedirect('Form{{ V.idsysma_object }}{{ V.parameter_id }}', '{{ url('sysma-object-parameter-value-create-commit')}}', 'sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}', '{{ url('sysma-object-parameter-value')}}', 'renseigneForm{{ V.idsysma_object }}{{ V.parameter_id }}', event);" {% else %} onclick="sendFormAndRedirect('Form{{ V.idsysma_object }}{{ V.parameter_id }}', '{{ url('object-parameter-multiple-value-create-commit')}}', 'sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}', '{{ url('sysma-object-parameter-value')}}', 'renseigneForm{{ V.idsysma_object }}{{ V.parameter_id }}', event);" {% endif %} {% if V.parameter.time_tracking == 1 and app.session.get('end_date_value')==null and app.session.get('start_date_value')==null %} disabled="disabled" {% endif %}>Renseigner</button>


		{% if details|default(null) != null %}
			<div id="detailsChoix">
				<p class="text-right">
					<a class="btn btn-xs btn-default" role="button" data-toggle="collapse" href="#collapseDetails{{ indexDonnee }}" aria-expanded="false" aria-controls="collapseExample">
						Afficher les détails des choix
					</a>
				</p>
				<div class="collapse" id="collapseDetails{{ indexDonnee }}">
					<ul>
						{{ details|raw }}
					</ul>
				</div>
			</div>
		{% endif %}


		<input type="hidden" value="{{ V.parameter_id }}" name="parameter_id"/>
		<input type="hidden" value="{{ V.idsysma_object }}" name="sysma_object_id"/>
		<input type="hidden" value="{{ indexDonnee }}" name="data_index"/>


	</form>
</div>

<script>
	$(function () {
$('[data-toggle="tooltip"]').tooltip()
})

checkDate('start_dateparameterObjet', 'start_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'end_dateparameterObjet');
checkDate('end_dateparameterObjet', 'end_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'start_dateparameterObjet');
</script>
